aboutsummaryrefslogtreecommitdiff
path: root/etc/rc.d
diff options
context:
space:
mode:
authorDaniel O'Callaghan <danny@FreeBSD.org>1997-09-18 22:43:48 +0000
committerDaniel O'Callaghan <danny@FreeBSD.org>1997-09-18 22:43:48 +0000
commit24e24b073778562c7897d4b2e66702a625fec848 (patch)
treeea072d4528c97ffb72c320883329d4b3f7ceedfa /etc/rc.d
parent16c9de07f619707d4747fe1a39cc67142f44af10 (diff)
downloadsrc-24e24b073778562c7897d4b2e66702a625fec848.tar.gz
src-24e24b073778562c7897d4b2e66702a625fec848.zip
Fix some problems in the rules file loading and need for modload detection.
Found by: "James E. Housley" <housley@pr-comm.com>
Notes
Notes: svn path=/head/; revision=29590
Diffstat (limited to 'etc/rc.d')
-rw-r--r--etc/rc.d/netoptions4
-rw-r--r--etc/rc.d/network14
-rw-r--r--etc/rc.d/network24
-rw-r--r--etc/rc.d/network34
-rw-r--r--etc/rc.d/routing4
5 files changed, 10 insertions, 10 deletions
diff --git a/etc/rc.d/netoptions b/etc/rc.d/netoptions
index fb35d2ffb44d..81993718c309 100644
--- a/etc/rc.d/netoptions
+++ b/etc/rc.d/netoptions
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/network1 b/etc/rc.d/network1
index fb35d2ffb44d..81993718c309 100644
--- a/etc/rc.d/network1
+++ b/etc/rc.d/network1
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/network2 b/etc/rc.d/network2
index fb35d2ffb44d..81993718c309 100644
--- a/etc/rc.d/network2
+++ b/etc/rc.d/network2
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/network3 b/etc/rc.d/network3
index fb35d2ffb44d..81993718c309 100644
--- a/etc/rc.d/network3
+++ b/etc/rc.d/network3
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1
diff --git a/etc/rc.d/routing b/etc/rc.d/routing
index fb35d2ffb44d..81993718c309 100644
--- a/etc/rc.d/routing
+++ b/etc/rc.d/routing
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.9 1997/07/06 00:33:34 pst Exp $
+# $Id: rc.network,v 1.10 1997/09/11 10:59:02 danny Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,7 +58,7 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? ] ; then
+ if [ $? = 1 ] ; then
firewall_in_kernel=0
else
firewall_in_kernel=1